### Method

# Adw ViewStack get_visible_child_name

#### Declaration [src]

    const char*
    adw_view_stack_get_visible_child_name (
      AdwViewStack* self
    )

#### Description [src]

Returns the name of the currently visible child of `self`.

Available since: | 1.0

Gets property | `Adw.ViewStack:visible-child-name`

#### Return value

Returns: | `utf8`
| The name of the visible child.
| The data is owned by the instance.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.